--------------------------------
-- Map Marker Tracking Border --
--------------------------------
local addon, ns = ...
local ss = ns.SS

local setmetatable = setmetatable

local mtTrackingBorder = {};

function mtTrackingBorder:New(parent)
  -- Add the trackingBorder
  local trackingBorder = parent:CreateTexture(nil, "OVERLAY")
  trackingBorder:SetTexture(ss.private.MapMarker.trackingBorder.texture)
  trackingBorder:SetPoint  ("TOPLEFT", 0, 0)
  trackingBorder:SetWidth  (ss.private.MapMarker.trackingBorder.size)
  trackingBorder:SetHeight (ss.private.MapMarker.trackingBorder.size)

  return trackingBorder
end

ss["MapMarkerTrackingBorder"] = setmetatable({}, { __index = mtTrackingBorder });
